petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscGetArgs

Allows you to access the raw command line arguments anywhere after PetscInitialize() is called but before PetscFinalize().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscGetArgs(int *argc,char ***args)

Not Collective Many br

### Output Parameters

| argc | - count of number of command line arguments Many br
| args | - the command line arguments Many br

Many br

### Notes

This is usually used to pass the command line arguments into other libraries Many brthat are called internally deep in PETSc or the application. Many br

The first argument contains the program name as is normal for C arguments. Many br

### See Also

PetscFinalize(), PetscInitializeFortran(), PetscGetArguments()

Level:intermediate
Location:src/sys/objects/pinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages